be.vlaanderen.mercurius.mohm.common.v7

## Class PushApplicationViewRequestType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.PushApplicationViewRequestType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class PushApplicationViewRequestType
      extends Object
      implements Serializable

  Groeperend element voor de push van een beperkt of volledig beeld van de aanvraag naar de verstrekker.

  Java class for PushApplicationViewRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PushApplicationViewRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}VSBReferenceType"/>
               <choice>
                 <element name="PushViewBandagist" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}PushApplicationViewBandagistType"/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushApplicationViewRequestType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PushApplicationViewBandagistType` | `getPushViewBandagist()` Gets the value of the pushViewBandagist property.
    `String` | `getVSBReference()` Gets the value of the vsbReference property.
    `void` | `setPushViewBandagist(PushApplicationViewBandagistType value)` Sets the value of the pushViewBandagist property.
    `void` | `setVSBReference(String value)` Sets the value of the vsbReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PushApplicationViewRequestType

          public PushApplicationViewRequestType()

  - ### Method Detail

    - #### getVSBReference

          public String getVSBReference()

      Gets the value of the vsbReference property.
      Returns:
        possible object is `String`

    - #### setVSBReference

          public void setVSBReference(String value)

      Sets the value of the vsbReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPushViewBandagist

          public PushApplicationViewBandagistType getPushViewBandagist()

      Gets the value of the pushViewBandagist property.
      Returns:
        possible object is `PushApplicationViewBandagistType`

    - #### setPushViewBandagist

          public void setPushViewBandagist(PushApplicationViewBandagistType value)

      Sets the value of the pushViewBandagist property.
      Parameters:
        `value` - allowed object is `PushApplicationViewBandagistType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.